body {
  background-color: rgb(247, 102, 174);
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}
.container {
  width: 600px;
  margin: left;
  margin-top: 15%;
  transform: 0.5s;
}

header {
  display: grid;
  grid-template-columns: 1fr 50px;
  margin-top: 50px;
}

header .shopping {
  position: relative;
  top: 10px;
  right: 10px;
}

header .shopping img {
  width: 40px;
}

header .shopping span {
  background-color: red;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  position: absolute;
  top: -5px;
  left: 80%;
  padding: 3px 10px;
}

.list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 20px;
  row-gap: 20px;
  margin-top: 50px;
}

.card {
  position: fixed;
  top: 0;
  left: calc(100% - 500px);
  width: 500px;
  background-color: #ca5bd9;
  height: 100vh;
  transition: 0.5s;
}

.card h1 {
  color: #e8bc0e;
  font-weight: 100;
  margin: 0;
  padding: 0 20px;
  height: 80px;
  display: flex;
  align-items: center;
}

.card .checkOut {
  position: absolute;
  bottom: 0;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.card .checkOut div {
  background-color: #e8bc0e;
  width: 100%;
  height: 70px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
  cursor: pointer;
}
.card .checkOut div:nth-child(2) {
  background-color: #1c1f25;
  color: #fff;
}

.active .card {
  left: calc(100% - 500px);
}

.active .container {
  transform: translateX(-200px);
}

.list item {
  text-align: center;
  background-color: lightpink;
  padding: 20px;
  box-shadow: 0 50px 50px darkmagenta;
  letter-spacing: 1px;
}

.list .item img {
  width: 90%;
}

.list .item .title {
  font-weight: 600;
}
.list .item .price {
  margin: 10px;
}
.list .item button {
  background-color: black;
  color: white;
  padding: 10px;
  width: 100%;
}

.listCard li {
  display: grid;
  grid-template-columns: 100px repeat(3, 1fr);
  color: #fff;
  row-gap: 10px;
  margin-bottom: 20px;
}
.listCard li div {
  display: flex;
  justify-content: center;
  align-items: center;
}

.listCard li img {
  width: 90%;
}

.listCard button {
  width: auto;
  background-color: azure;
  border: none;
}
.h1 {
  margin-left: 30px;
}

nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;

  z-index: 999;
  padding: 10px;
  margin: 0;
  padding-bottom: 20px;
}

nav ul {
  display: flex;
  align-items: center;
  padding: 0 20px;
  margin: 0;
  margin-top: 10px;
}

nav li {
  list-style: none;
}

nav a {
  text-decoration: none;
  color: #333;
  font-weight: bold;
  padding: 10px;
  transition: all 0.3s ease;
}

nav a:hover {
  color: #fff;
  background-color: #333;
}

#navbar {
  /* Your existing styles for the navigation bar */
  transition: transform 0.3s ease;
}

#navbar.scroll-up {
  transform: translateY(-100%);
}
